Summary: Creating dynamic online presentations with LaTeX
Name: texpower
#---------------------------------------------------------------------------
# version definitions
%global momorel 2
#---------------------------------------------------------------------------
Version: 0.0.9d
Release: %{momorel}m
Group: Applications/Publishing
License: GPL
URL: http://texpower.sourceforge.net/
#---------------------------------------------------------------------------
# for specopt
%{?include_specopt}

#---------------------------------------------------------------------------
# sources
%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/texpower/texpower-0.0.9d.tar.gz c058dcd7c6050184319634d0cc8fc74d
#---------------------------------------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: dvipdfm
#---------------------------------------------------------------------------
PreReq: kpathsea
Requires: tetex-latex

%description

#---------------------------------------------------------------------------
%global texmfdir	%(kpsewhich -expand-var '$TEXMFMAIN' || echo %{_datadir}/texmf)
#---------------------------------------------------------------------------
%prep
%setup -q

#---------------------------------------------------------------------------
%build

export TEXMF=`pwd`//,%{texmfdir}//
(
  cd doc
  for i in *demo.tex manual.tex FAQ-display.tex FAQ-printout.tex; do
    pdflatex -interaction=nonstopmode $i || true
    pdflatex -interaction=nonstopmode $i || true
  done
  for i in `ls *tex | grep '^[^_]'`; do
    pdflatex -interaction=nonstopmode $i || true
  done
  latex -interaction=nonstopmode fulldemo || true
  dvipdfm fulldemo || true

  ## DO NOT REMOVE ALL FILES IN THIS DIRECTORY. This package contains
  ## these files, because they are very important source for TexPower
  ## users.
)
#---------------------------------------------------------------------------
%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{texmfdir}/tex/latex/texpower
%__install -m 0644 *.sty *.cls *.cfg %{buildroot}%{texmfdir}/tex/latex/texpower

(
  cd addons
  %__install -m 0644 *.sty %{buildroot}%{texmfdir}/tex/latex/texpower
  for i in *.txt; do
    cp $i ../addons-$i
  done  
)
#---------------------------------------------------------------------------
%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
#---------------------------------------------------------------------------
%post
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
#---------------------------------------------------------------------------
%files
%defattr(-, root, root)
%doc *.txt contrib doc
%{texmfdir}/tex/latex/texpower
#---------------------------------------------------------------------------
%changelog
* Tue Aug 19 2003 Kenta MURATA <muraken2@nifty.com>
- (0.0.9d-2m)
- noarch.

* Tue Aug 19 2003 Kenta MURATA <muraken2@nifty.com>
- (0.0.9d-1m)
- first specfile.
